with CustomersWithRowNumber as
(
	select CustomerID,
		row_number() over (partition by CustomerID order by (select null)) rn
	from tempdb.dbo.Selection3 s
)
select *
from CustomersWithRowNumber crn
where crn.rn > 1;


with CustomersWithRowNumber as
(
	select CustomerID,
		row_number() over (partition by CustomerID order by (select null)) rn
	from tempdb.dbo.Selection3 s
)
delete CustomersWithRowNumber
where rn > 1;

go
-- Validate no duplicates remain
select CustomerID
from tempdb.dbo.Selection3
group by CustomerID
having count(*) > 1;

select count(*) NbrRows
from tempdb.dbo.Selection3;
-- 285977
